New notification on WordPress site regarding php version

Type: Suggestion
Description:
Hello,

I hosted most of my website on AWS cloud using Bitnami-LAMP PHP 7.1

today once I entered my websites dashboared I saw a WordPress notification as in below screenshot, declaring that I should upgrade PHP version.

I have 7 websites running on 7 servers of the same type mentioned above.

so please advise how can I do that?

Hi @ghina.altal,

Could you check the solution from this post?

Regards,
Michiel

@michiel Thank you, but it still not clear.

I need to update my current Amazon Lightsail servers which are “Bitnami LAMP PHP 7.1.20” to the lates php version (7.3.19-0) .

can you please provide a detailed step on that scenario?

Thank you

Hi @ghina.altal,

The steps would be as follows:

https://docs.bitnami.com/aws/components/mysql/#how-to-restore-a-database-backup

  • Migrate your php files and any configuration change you made from the old installation /opt/bitnami.back to the new one /opt/bitnami

  • Restart Apache (if you modified the default configuration)

    sudo /opt/bitnami/ctlscript.sh restart apache

Regards,
Michiel

@michiel
thank you.

but can you clarify these two steps, what commands to use:

  1. install this stack at /opt/bitnami and set your preferred password.

2.Migrate your php files and any configuration change you made from the old installation /opt/bitnami.back to the new one /opt/bitnami

Hi @ghina.altal,

install this stack at /opt/bitnami and set your preferred password.

This means running the downloaded installer using the following command:

 sudo ./bitnami-lampstack-7.3.19-0-linux-x64-installer.run --prefix /opt/bitnami

And then choose a password when the installer asks for it.

This simply means moving your PHP application folder from the old installation to the new one and also apply the same configuration changes from the old installation to the new one.

Regards,
Michiel

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.